# Hurricane VLSI Database

List of all members | Public Member Functions
Hurricane::NotFilter< Type > Class Template Reference

Filter negation. More...

Inheritance diagram for Hurricane::NotFilter< Type >:
[legend]

## Public Member Functions
| NotFilter (const Filter< Type > &filter)
| NotFilter (const NotFilter< Type > &notFilter)
Public Member Functions inherited from Hurricane::Filter< Type >
GenericFilter< Type > | operator! () const

## Detailed Description

### template<class Type>
class Hurricane::NotFilter< Type >

Filter negation.

This filter invert the matching criterion of any other filter.

Remarks
  This is a raw Filter.

## Constructor & Destructor Documentation

## ◆ NotFilter() [1/2]

template<class Type>

Hurricane::NotFilter< Type >::NotFilter | ( | const Filter< Type > & | filter | ) |
| inline

Constructor from a raw Filter.

Remarks
  This constructor build a copy of the raw filter. So the originating filter can be safely deleted.

## ◆ NotFilter() [2/2]

template<class Type>

Hurricane::NotFilter< Type >::NotFilter | ( | const NotFilter< Type > & | filter | ) |
| inline

Copy constructor.

Remarks
  This constructor build a copy of the raw filter. So the originating filter can be safely deleted.

The documentation for this class was generated from the following files:

- Filter.h
- Filter.dox

Generated by doxygen 1.8.14 on Tue Jul 21 2020 | Return to top of page

Hurricane VLSI Database | Copyright © 2000-2016 Bull S.A. All rights reserved